# Method: projects.locations.productSets.removeProduct

- [HTTP request](https://docs.cloud.google.com/vision/product-search/docs/reference/rest/v1/projects.locations.productSets/removeProduct#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/vision/product-search/docs/reference/rest/v1/projects.locations.productSets/removeProduct#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/vision/product-search/docs/reference/rest/v1/projects.locations.productSets/removeProduct#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/vision/product-search/docs/reference/rest/v1/projects.locations.productSets/removeProduct#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/vision/product-search/docs/reference/rest/v1/projects.locations.productSets/removeProduct#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/vision/product-search/docs/reference/rest/v1/projects.locations.productSets/removeProduct#body.aspect)

Removes a Product from the specified ProductSet.

### HTTP request

`POST https://vision.googleapis.com/v1/{name=projects/*/locations/*/productSets/*}:removeProduct`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name for the ProductSet to modify. Format is: `projects/PROJECT_ID/locations/LOC_ID/productSets/PRODUCT_SET_ID` <br /> |

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "product": string } ``` |

| Fields ||
|---|---|
| `product` | `string` Required. The resource name for the Product to be removed from this ProductSet. Format is: `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID` <br /> |

### Response body

If successful, the response body will be empty.

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloud-vision`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).